Holger's Java API

## com.antelmann.math
Class Weight

    java.lang.Object
      com.antelmann.math.DefaultUnit
          com.antelmann.math.BaseUnit
              com.antelmann.math.Weight

All Implemented Interfaces:
  Unit, Localizable, Serializable

    public class Weight

extends BaseUnit

weight unit with conversion capabilities

Since:
  09.10.2014, 01:07:40
Author:
  holger
See Also:
  `SIBaseUnit.KILOGRAM`, Serialized Form

Nested Class Summary
`static class` `Weight.Type`

Nested classes/interfaces inherited from interface com.antelmann.util.Localizable
`Localizable.Adapter`

Field Summary
`static Weight` `G` gram
`static Weight` `KG` Kilogram
`static Weight` `KT` carat
`static Weight` `LB` Pound
`static Weight` `MG` Miligram
`static Weight` `OZ` Ounce
`static Weight` `ST` Stone
`static Weight` `T` Tonne (metric ton)
`static Weight` `ZTR` Zentner

Fields inherited from class com.antelmann.math.BaseUnit
`CONVERTER`

Fields inherited from class com.antelmann.math.DefaultUnit
`name, symbol`

Constructor Summary
`Weight(String symbol, String name, Number factor)`

Method Summary
`static Weight` `fromSymbol(String symbol)`
`static Weight[]` `getKnownValues()`

Methods inherited from class com.antelmann.math.BaseUnit
`convert, convert, fromBaseUnit, getBase, toBaseUnit, toBaseUnit`

Methods inherited from class com.antelmann.math.DefaultUnit
`equals, getLocale, getUnitName, getUnitSymbol, hashCode, setLocale, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### KG

    public static final Weight KG

  Kilogram

### T

    public static final Weight T

  Tonne (metric ton)

### G

    public static final Weight G

  gram

### MG

    public static final Weight MG

  Miligram

### LB

    public static final Weight LB

  Pound

### ZTR

    public static final Weight ZTR

  Zentner

### OZ

    public static final Weight OZ

  Ounce

### ST

    public static final Weight ST

  Stone

### KT

    public static final Weight KT

  carat

Constructor Detail

### Weight

    public Weight(String symbol,
                  String name,
                  Number factor)

Method Detail

### fromSymbol

    public static Weight fromSymbol(String symbol)

### getKnownValues

    public static Weight[] getKnownValues()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads